import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateStackInput, CreateStackOutput } from "../models/models_0";
import { deserializeAws_queryCreateStackCommand, serializeAws_queryCreateStackCommand } from "../protocols/Aws_query";
var CreateStackCommand = (function (_super) {
    __extends(CreateStackCommand, _super);
    function CreateStackCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateStackCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "CreateStackCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateStackInput.filterSensitiveLog,
            outputFilterSensitiveLog: CreateStackOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateStackCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryCreateStackCommand(input, context);
    };
    CreateStackCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryCreateStackCommand(output, context);
    };
    return CreateStackCommand;
}($Command));
export { CreateStackCommand };
