import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DeactivateTypeInput, DeactivateTypeOutput } from "../models/models_0";
import { deserializeAws_queryDeactivateTypeCommand, serializeAws_queryDeactivateTypeCommand, } from "../protocols/Aws_query";
var DeactivateTypeCommand = (function (_super) {
    __extends(DeactivateTypeCommand, _super);
    function DeactivateTypeCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DeactivateTypeCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "DeactivateTypeCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DeactivateTypeInput.filterSensitiveLog,
            outputFilterSensitiveLog: DeactivateTypeOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DeactivateTypeCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryDeactivateTypeCommand(input, context);
    };
    DeactivateTypeCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryDeactivateTypeCommand(output, context);
    };
    return DeactivateTypeCommand;
}($Command));
export { DeactivateTypeCommand };
