import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ImportStacksToStackSetInput, ImportStacksToStackSetOutput } from "../models/models_0";
import { deserializeAws_queryImportStacksToStackSetCommand, serializeAws_queryImportStacksToStackSetCommand, } from "../protocols/Aws_query";
var ImportStacksToStackSetCommand = (function (_super) {
    __extends(ImportStacksToStackSetCommand, _super);
    function ImportStacksToStackSetCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ImportStacksToStackSetCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "ImportStacksToStackSetCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ImportStacksToStackSetInput.filterSensitiveLog,
            outputFilterSensitiveLog: ImportStacksToStackSetOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ImportStacksToStackSetCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryImportStacksToStackSetCommand(input, context);
    };
    ImportStacksToStackSetCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryImportStacksToStackSetCommand(output, context);
    };
    return ImportStacksToStackSetCommand;
}($Command));
export { ImportStacksToStackSetCommand };
