import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListStackResourcesInput, ListStackResourcesOutput } from "../models/models_0";
import { deserializeAws_queryListStackResourcesCommand, serializeAws_queryListStackResourcesCommand, } from "../protocols/Aws_query";
var ListStackResourcesCommand = (function (_super) {
    __extends(ListStackResourcesCommand, _super);
    function ListStackResourcesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListStackResourcesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "ListStackResourcesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListStackResourcesInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListStackResourcesOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListStackResourcesCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryListStackResourcesCommand(input, context);
    };
    ListStackResourcesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryListStackResourcesCommand(output, context);
    };
    return ListStackResourcesCommand;
}($Command));
export { ListStackResourcesCommand };
