import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListTypeVersionsInput, ListTypeVersionsOutput } from "../models/models_0";
import { deserializeAws_queryListTypeVersionsCommand, serializeAws_queryListTypeVersionsCommand, } from "../protocols/Aws_query";
var ListTypeVersionsCommand = (function (_super) {
    __extends(ListTypeVersionsCommand, _super);
    function ListTypeVersionsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListTypeVersionsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "ListTypeVersionsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListTypeVersionsInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListTypeVersionsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListTypeVersionsCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryListTypeVersionsCommand(input, context);
    };
    ListTypeVersionsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryListTypeVersionsCommand(output, context);
    };
    return ListTypeVersionsCommand;
}($Command));
export { ListTypeVersionsCommand };
