import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { StopStackSetOperationInput, StopStackSetOperationOutput } from "../models/models_0";
import { deserializeAws_queryStopStackSetOperationCommand, serializeAws_queryStopStackSetOperationCommand, } from "../protocols/Aws_query";
var StopStackSetOperationCommand = (function (_super) {
    __extends(StopStackSetOperationCommand, _super);
    function StopStackSetOperationCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    StopStackSetOperationCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "StopStackSetOperationCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: StopStackSetOperationInput.filterSensitiveLog,
            outputFilterSensitiveLog: StopStackSetOperationOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    StopStackSetOperationCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryStopStackSetOperationCommand(input, context);
    };
    StopStackSetOperationCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryStopStackSetOperationCommand(output, context);
    };
    return StopStackSetOperationCommand;
}($Command));
export { StopStackSetOperationCommand };
