import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { TestTypeInput, TestTypeOutput } from "../models/models_0";
import { deserializeAws_queryTestTypeCommand, serializeAws_queryTestTypeCommand } from "../protocols/Aws_query";
var TestTypeCommand = (function (_super) {
    __extends(TestTypeCommand, _super);
    function TestTypeCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    TestTypeCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "TestTypeCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: TestTypeInput.filterSensitiveLog,
            outputFilterSensitiveLog: TestTypeOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    TestTypeCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryTestTypeCommand(input, context);
    };
    TestTypeCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryTestTypeCommand(output, context);
    };
    return TestTypeCommand;
}($Command));
export { TestTypeCommand };
