import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateStackInstancesInput, UpdateStackInstancesOutput } from "../models/models_0";
import { deserializeAws_queryUpdateStackInstancesCommand, serializeAws_queryUpdateStackInstancesCommand, } from "../protocols/Aws_query";
var UpdateStackInstancesCommand = (function (_super) {
    __extends(UpdateStackInstancesCommand, _super);
    function UpdateStackInstancesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateStackInstancesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "UpdateStackInstancesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateStackInstancesInput.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateStackInstancesOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateStackInstancesCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryUpdateStackInstancesCommand(input, context);
    };
    UpdateStackInstancesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryUpdateStackInstancesCommand(output, context);
    };
    return UpdateStackInstancesCommand;
}($Command));
export { UpdateStackInstancesCommand };
