import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CloudFormationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CloudFormationClient";
import { CreateStackSetInput, CreateStackSetOutput } from "../models/models_0";
export interface CreateStackSetCommandInput extends CreateStackSetInput {
}
export interface CreateStackSetCommandOutput extends CreateStackSetOutput, __MetadataBearer {
}

export declare class CreateStackSetCommand extends $Command<CreateStackSetCommandInput, CreateStackSetCommandOutput, CloudFormationClientResolvedConfig> {
    readonly input: CreateStackSetCommandInput;
    constructor(input: CreateStackSetCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CloudFormationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<CreateStackSetCommandInput, CreateStackSetCommandOutput>;
    private serialize;
    private deserialize;
}
