import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CloudFormationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CloudFormationClient";
import { ListStacksInput, ListStacksOutput } from "../models/models_0";
export interface ListStacksCommandInput extends ListStacksInput {
}
export interface ListStacksCommandOutput extends ListStacksOutput, __MetadataBearer {
}

export declare class ListStacksCommand extends $Command<ListStacksCommandInput, ListStacksCommandOutput, CloudFormationClientResolvedConfig> {
    readonly input: ListStacksCommandInput;
    constructor(input: ListStacksCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CloudFormationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListStacksCommandInput, ListStacksCommandOutput>;
    private serialize;
    private deserialize;
}
