import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CloudFormationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CloudFormationClient";
import { ListTypeVersionsInput, ListTypeVersionsOutput } from "../models/models_0";
export interface ListTypeVersionsCommandInput extends ListTypeVersionsInput {
}
export interface ListTypeVersionsCommandOutput extends ListTypeVersionsOutput, __MetadataBearer {
}

export declare class ListTypeVersionsCommand extends $Command<ListTypeVersionsCommandInput, ListTypeVersionsCommandOutput, CloudFormationClientResolvedConfig> {
    readonly input: ListTypeVersionsCommandInput;
    constructor(input: ListTypeVersionsCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CloudFormationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListTypeVersionsCommandInput, ListTypeVersionsCommandOutput>;
    private serialize;
    private deserialize;
}
